AntCallBack (Ant Contrib)
Keywords: net.sf.antcontrib.logic.AntCallBack class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class AntCallBack

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Ant
                  net.sf.antcontrib.logic.AntCallBack

    public class AntCallBack

extends org.apache.tools.ant.taskdefs.Ant

Subclass of Ant which allows us to fetch properties which are set in the scope of the called target, and set them in the scope of the calling target. Normally, these properties are thrown away as soon as the called target completes execution.

Author:
  inger, Dale Anson, danson@germane-software.com

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Ant
`org.apache.tools.ant.taskdefs.Ant.Reference, org.apache.tools.ant.taskdefs.Ant.TargetElement`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AntCallBack()`

Method Summary
`org.apache.tools.ant.taskdefs.Property` | `createParam()`
`void` | `execute()` Do the execution.
`void` | `setProject(org.apache.tools.ant.Project realProject)`
`void` | `setReturn(java.lang.String r)` Set the property or properties that are set in the new project to be transfered back to the original project.

Methods inherited from class org.apache.tools.ant.taskdefs.Ant
`addConfiguredTarget, addPropertyset, addReference, createProperty, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, setAntfile, setDir, setInheritAll, setInheritRefs, setOutput, setTarget`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntCallBack

    public AntCallBack()

Method Detail

### setProject

    public void setProject(org.apache.tools.ant.Project realProject)

  Overrides:
    `setProject` in class `org.apache.tools.ant.ProjectComponent`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Do the execution.

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Ant`
  Throws:
    `org.apache.tools.ant.BuildException` - Description of the Exception

### setReturn

    public void setReturn(java.lang.String r)

  Set the property or properties that are set in the new project to be transfered back to the original project. As with all properties, if the property already exists in the original project, it will not be overridden by a different value from the new project.

  Parameters:
    `r` - the name of a property in the new project to set in the original project. This may be a comma separate list of properties.

### createParam

    public org.apache.tools.ant.taskdefs.Property createParam()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD